Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.drools.io
Interface ResourceChangeScanner

All Superinterfaces:
  ResourceChangeMonitor

    public interface ResourceChangeScanner

extends ResourceChangeMonitor

Built in service, as provided by the ResourceFactory for monitor file changes on the local disk.

This interface, as well as ChangeSet, ResourceChangeNotifier, ResourceChangeMonitor and ResourceChangeScanner are still considered subject to change. Use the XML format change-set, as part of the ResourceType api when adding to KnowledgeBuilder, which is considered stable. KnowledgeBuilder currently ignored Added/Modified xml elements, the KnowledgeAgent will use them, when rebuilding the KnowledgeBase.

Method Summary
`void` | `configure(ResourceChangeScannerConfiguration configuration)` Reconfigure the Scanner now
`ResourceChangeScannerConfiguration` | `newResourceChangeScannerConfiguration()` New ResourceChangeScannerConfiguration which can be used to update this service.
`ResourceChangeScannerConfiguration` | `newResourceChangeScannerConfiguration(Properties properties)` New ResourceChangeScannerConfiguration, using the given Properties, which can be used to update this service.
`void` | `scan()` Execute a disk scan of subscribed resources now.
`void` | `setInterval(int interval)` Set scan interval in seconds
`void` | `start()` Start the service, this creates a new Thread.
`void` | `stop()` Stop the service.

Methods inherited from interface org.drools.io.ResourceChangeMonitor
`setSystemEventListener, subscribeNotifier, unsubscribeNotifier`

Method Detail

### newResourceChangeScannerConfiguration

    ResourceChangeScannerConfiguration newResourceChangeScannerConfiguration()

  New ResourceChangeScannerConfiguration which can be used to update this service.

  Returns:

### newResourceChangeScannerConfiguration

    ResourceChangeScannerConfiguration newResourceChangeScannerConfiguration(Properties properties)

  New ResourceChangeScannerConfiguration, using the given Properties, which can be used to update this service.

  Returns:

### configure

    void configure(ResourceChangeScannerConfiguration configuration)

  Reconfigure the Scanner now

  Parameters:
    `configuration` -

### scan

    void scan()

  Execute a disk scan of subscribed resources now.

### start

    void start()

  Start the service, this creates a new Thread.

### stop

    void stop()

  Stop the service.

### setInterval

    void setInterval(int interval)

  Set scan interval in seconds

  Parameters:
    `interval` -

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Copyright © 2001-2014 JBoss by Red Hat. All Rights Reserved.